classification
Title: test_asyncio: test_start_tls_server_1() failed on ARMv7 Debian buster 3.7
Type: Stage: resolved
Components: asyncio Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_asyncio: test_start_tls_server_1() TimeoutError on Fedora 29
View: 35998
Assigned To: Nosy List: asvetlov, vstinner, yselivanov
Priority: normal Keywords:

Created on 2019-06-27 16:52 by vstinner, last changed 2019-10-14 21:06 by vstinner. This issue is now closed.

Messages (3)
msg346758 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-27 16:52
The test failed but then passed when run again.

See also bpo-35998 "test_asyncio: test_start_tls_server_1() TimeoutError on Fedora 29" and bpo-35031 "test_asyncio test_start_tls_server_1 fails in AMD64 FreeBSD CURRENT buildbots"

https://buildbot.python.org/all/#/builders/177/builds/241
== Tests result: FAILURE then SUCCESS ==

1 re-run test:
    test_asyncio


======================================================================
ERROR: test_start_tls_server_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/test_sslproto.py", line 583, in test_start_tls_server_1
    self.loop.run_until_complete(run_main())
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/base_events.py", line 577, in run_until_complete
    raise RuntimeError('Event loop stopped before Future completed.')
RuntimeError: Event loop stopped before Future completed.



test_start_tls_server_1 (test.test_asyncio.test_sslproto.ProactorStartTLSTests) ... skipped 'Windows only'
test_start_tls_slow_client_cancel (test.test_asyncio.test_sslproto.ProactorStartTLSTests) ... skipped 'Windows only'
test_start_tls_wrong_args (test.test_asyncio.test_sslproto.ProactorStartTLSTests) ... skipped 'Windows only'
test_buf_feed_data (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_create_connection_memory_leak (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_create_connection_ssl_failed_certificate (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_create_connection_ssl_slow_handshake (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_handshake_timeout (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_start_tls_client_buf_proto_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_start_tls_client_corrupted_ssl (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_start_tls_client_reg_proto_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_start_tls_server_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... Exception in thread test-client:
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/functional.py", line 198, in run
    self._prog(TestSocketWrapper(self._sock))
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/test_sslproto.py", line 573, in <lambda>
    with self.tcp_client(lambda sock: client(sock, addr),
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/test_sslproto.py", line 518, in client
    answer = sock.recv_all(len(ANSWER))
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/functional.py", line 138, in recv_all
    data = self.recv(n - len(buf))
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/ssl.py", line 1045, in recv
    return self.read(buflen)
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/ssl.py", line 920, in read
    return self._sslobj.read(len)
ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:2488)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/threading.py", line 926, in _bootstrap_inner
    self.run()
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/functional.py", line 200, in run
    self._test._abort_socket_test(ex)
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/functional.py", line 122, in _abort_socket_test
    self.fail(ex)
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/unittest/case.py", line 693, in fail
    raise self.failureException(msg)
AssertionError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:2488)

ERROR
test_start_tls_slow_client_cancel (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... /ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/threading.py:960: ResourceWarning: unclosed <ssl.SSLSocket fd=7, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=0, laddr=('127.0.0.1', 58522), raddr=('127.0.0.1', 33379)>
  del exc_type, exc_value, exc_tb
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok
test_start_tls_wrong_args (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... ok
test_close_during_handshake (test.test_asyncio.test_sslproto.SslProtoHandshakeTests) ... /ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/unittest/mock.py:953: ResourceWarning: unclosed <socket.socket fd=6, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('127.0.0.1', 33379)>
  self.side_effect = side_effect
ResourceWarning: Enable tracemalloc to get the object allocation traceback
Unhandled error in exception handler
context: {'message': 'Task was destroyed but it is pending!', 'task': <Task pending coro=<BaseStartTLS.test_start_tls_server_1.<locals>.main() done, defined at /ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/test_sslproto.py:547> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0xb4b5cab8>()]> cb=[_release_waiter(<Future pendi...xb4b29188>()]>)() at /ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/tasks.py:392]>}
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/base_events.py", line 1639, in call_exception_handler
    self._exception_handler(self, context)
  File "/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/functional.py", line 22, in loop_exception_handler
    self.loop.default_exception_handler(context)
AttributeError: 'NoneType' object has no attribute 'default_exception_handler'
/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/unittest/mock.py:953: ResourceWarning: unclosed <socket.socket fd=8, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=6, laddr=('127.0.0.1', 33379)>
  self.side_effect = side_effect
ResourceWarning: Enable tracemalloc to get the object allocation traceback
/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/selector_events.py:658: ResourceWarning: unclosed transport <_SelectorSocketTransport closing fd=8>
  source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
/ssd/buildbot/buildarea/3.7.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/sslproto.py:322: ResourceWarning: unclosed transport <asyncio.sslproto._SSLProtocolTransport object at 0xb4b5cee0>
  source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok
msg353352 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-27 09:57
New fail on ARMv7 Debian buster 3.x:
https://buildbot.python.org/all/#/builders/176/builds/1356

======================================================================
ERROR: test_start_tls_server_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test_asyncio/test_sslproto.py", line 585, in test_start_tls_server_1
    self.loop.run_until_complete(run_main())
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/asyncio/base_events.py", line 632, in run_until_complete
    raise RuntimeError('Event loop stopped before Future completed.')
RuntimeError: Event loop stopped before Future completed.
msg354652 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-14 21:06
I close this issue as a duplicate of bpo-35998.
History
Date User Action Args
2019-10-14 21:06:26vstinnersetstatus: open -> closed
superseder: test_asyncio: test_start_tls_server_1() TimeoutError on Fedora 29
messages: + msg354652

resolution: duplicate
stage: resolved
2019-09-27 09:57:32vstinnersetmessages: + msg353352
2019-06-27 16:52:59vstinnercreate